joystick
Device proxies

The joystick proxy can be used to get images from a joystick. More...

## Classes

struct | playerc_joystick_t
| joystick proxy data. More...

## Functions

PLAYERC_EXPORT playerc_joystick_t * | playerc_joystick_create (playerc_client_t *client, int index)
| Create a joystick proxy. More...
PLAYERC_EXPORT void | playerc_joystick_destroy (playerc_joystick_t *device)
| Destroy a joystick proxy. More...
PLAYERC_EXPORT int | playerc_joystick_subscribe (playerc_joystick_t *device, int access)
| Subscribe to the joystick device. More...
PLAYERC_EXPORT int | playerc_joystick_unsubscribe (playerc_joystick_t *device)
| Un-subscribe from the joystick device. More...

## Detailed Description

The joystick proxy can be used to get images from a joystick.

## Function Documentation

PLAYERC_EXPORT playerc_joystick_t* playerc_joystick_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a joystick proxy.

PLAYERC_EXPORT void playerc_joystick_destroy | ( | playerc_joystick_t * | device | ) |

Destroy a joystick proxy.

PLAYERC_EXPORT int playerc_joystick_subscribe | ( | playerc_joystick_t * | device,
|  | int | access
| ) |  |

Subscribe to the joystick device.

PLAYERC_EXPORT int playerc_joystick_unsubscribe | ( | playerc_joystick_t * | device | ) |

Un-subscribe from the joystick device.

Last updated 12 September 2005 21:38:45